Package com.independentsoft.office.word.footnoteEndnote

# Class DocumentFootnotes

java.lang.Object
com.independentsoft.office.word.footnoteEndnote.DocumentFootnotes

public class DocumentFootnotes extends Object
The Class DocumentFootnotes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentFootnotes()`
  Instantiates a new document footnotes.
  `DocumentFootnotes​(byte[] buffer)`
  Instantiates a new document footnotes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentFootnotes`
  `clone()`
  `List<Footnote>`
  `getFootnotes()`
  Gets the footnotes.
  `String`
  `getMarkupCompatibilityIgnorable()`
  Gets the mc:Ignorable attribute value of the footnotes root, or `null` if absent.
  `void`
  `setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)`
  Sets the mc:Ignorable attribute value of the footnotes root.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentFootnotes

    public DocumentFootnotes()
    Instantiates a new document footnotes.

  - ### DocumentFootnotes

    public DocumentFootnotes​(byte[] buffer) throws XMLStreamException
    Instantiates a new document footnotes.
    Parameters:
      `buffer` - the buffer
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public DocumentFootnotes clone()
    Overrides:
      `clone` in class `Object`

  - ### getMarkupCompatibilityIgnorable

    public String getMarkupCompatibilityIgnorable()
    Gets the mc:Ignorable attribute value of the footnotes root, or `null` if absent.
    Returns:
      the markup-compatibility ignorable prefixes

  - ### setMarkupCompatibilityIgnorable

    public void setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)
    Sets the mc:Ignorable attribute value of the footnotes root.
    Parameters:
      `markupCompatibilityIgnorable` - the new value

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFootnotes

    public List<Footnote> getFootnotes()
    Gets the footnotes.
    Returns:
      the footnotes